org.keycloak.dom.xmlsec.w3.xmlenc

## Class ReferenceList

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmlenc.ReferenceList

-     public class ReferenceList
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded">
               <element name="DataReference" type="{http://www.w3.org/2001/04/xmlenc#}ReferenceType"/>
               <element name="KeyReference" type="{http://www.w3.org/2001/04/xmlenc#}ReferenceType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReferenceList.References`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ReferenceList.References ref)`
    `void` | `addAll(List<ReferenceList.References> refs)`
    `List<ReferenceList.References>` | `getReferences()`
    `void` | `remove(ReferenceList.References ref)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceList

          public ReferenceList()

  - ### Method Detail

    - #### add

          public void add(ReferenceList.References ref)

    - #### addAll

          public void addAll(List<ReferenceList.References> refs)

    - #### remove

          public void remove(ReferenceList.References ref)

    - #### getReferences

          public List<ReferenceList.References> getReferences()

Copyright © 2021 JBoss by Red Hat. All rights reserved.